/*
Theme Name: Nifty 2025
Template: twentytwentyone
Author: Nifty Development
Author URI: https://niftymarketing.com/
Description: A lightweight theme for use of our clients.
Version: 2.5.1
*/

/*Theme Variables*/
:root{
	/*site colors*/
	--color-1: #272D71;
	--color-2: #CA8E7D;
	--color-3: white;
	--color-text: #20255E;
	--color-text-alt: #20255E;
	--color-bg: #101332;
	--color-muted: rgba(255, 255, 255, 0.8);
	
	--font-opacity: 0.7;

	/*font sizes*/
	--fsize-xxl: 25vw;
	--fsize-xl: clamp(40px, 4vw, 75px);
    --fsize-lg: clamp(21px, 6.5vw, 124px);
	--fsize-md-lg: clamp(32px, 4.5vw, 86px);
	--fsize-md: clamp(28px, 2.2vw, 40px);
	--fsize-sm: clamp(20px, 1.6vw, 30px);
	--fsize-default: clamp(16px, 1.1vw, 18px); /*ADA requires at least 16px*/

	/* letter-spacing */
	--l-spacing-narrow: -0.8vw;
	--l-spacing-medium:-0.14vw;

	/* font-weight */
	--font-weight-normal: 400;
	--font-weight-md-bold: 500;
	--font-weight-bold: 600;
	--font-weight-extra-bold: 800;

	/*font families*/
	--heading-font: "Playfair Display", serif;
	--text-font: "Inter", sans-serif;
	--accent-font: "DM Serif Display", serif;
}

/*Default Overall Styles*/
html, body{scroll-behavior: smooth; font-size: var(--fsize-default); font-variant-ligatures: none; overflow-anchor: none;}
body{margin:0; -webkit-font-smoothing: antialiased;-moz-osx-font-smoothing: grayscale;text-rendering: optimizeLegibility;font-family: var(--text-font);line-height: 1.5em;}
*{box-sizing: border-box; -webkit-appearance: none;font-family:inherit; max-width: 100%;}
/* lazy loading flow fixes */
img{object-fit:contain;min-width:1px;}
a{color: var(--color-1);text-decoration:none;transition: ease all .25s;}
nav a:hover {color: var(--color-2);}
nav a{padding:.25em 1vw; color:white; text-transform:uppercase; display:block;}
article a {text-decoration: underline;text-underline-position: under;text-decoration-thickness: 2px;}
code, pre, kbd, samp {font-family: monospace;}

/*Font Defaults*/
h1, h2, h3, h4, h5, h6{font-family: var(--heading-font); line-height: 1.25em;margin-bottom:0.5em; color:var(--color-text);}
body, p, ul, ol, li{font-family: var(--text-font); line-height: 1.5em; color:var(--color-text); font-weight:var(--font-weight-md-bold);}
p > a, li > a{font-weight:var(--font-weight-md-bold);}
h1{font-size:var(--fsize-xl);}
h2{font-size:var(--fsize-lg);}
h3{font-size:var(--fsize-md);}
h4{font-size:var(--fsize-sm);}

/*Layout*/
.section-padding{padding: 5% 0;}
.content-width{width: 1800px; max-width: 90%; padding: 0 15px; margin: 0 auto;}
.flex{display: flex; flex-wrap: wrap;}
.slider-wrapper{max-width:2500px; margin:0 auto; overflow:hidden;}

section{overflow:hidden;}
.show-on-mobile{width:0; height:0; overflow:hidden;}

/* ADA header */
.masthead{padding: 15px 5%;}
.masthead ul{list-style:none; display:flex; padding:0;}
.skip-bar{position: absolute; display: block; width: 100%; text-align: center; height: 0; overflow: hidden; background:white; color:black; font-weight:600; top: 0; left: 0; z-index: 10;}
.skip-bar:focus{height: auto; padding: 20px;}
.inner-masthead{justify-content: space-between; align-items: center;}
.logo-container{width:auto; flex:1; display:flex; align-items:center;}
.logo-container svg{width:clamp(160px, 17vw, 300px); height:auto;}

.mobile-nav-input{display: none;}
.masthead ul .current-menu-item > a:first-child, .masthead ul .current-menu-ancestor > a:first-child{color:var(--color-2)}
.menus{justify-content: flex-end; padding:.5em; flex:4; display:flex; justify-content:center;}
.header-call-box{display:flex; justify-content:center; flex-direction:column; align-items:end; flex:1;}
.header-call-box p{color:white; margin:0; text-transform:uppercase; font-size:clamp(16px, 1.2vw, 23px); font-weight:var(--font-weight-extra-bold);}
.header-phone-number{color:var(--color-2); font-size:clamp(21px, 1.45vw, 28px); font-weight:var(--font-weight-extra-bold); font-family:var(--text-font);}
.header-phone-number:hover{color:var(--color-3);}
#menu-main-menu > li .sub-menu{flex-direction:column;}
#menu-main-menu > li .sub-menu a{padding:.25em 28px .25em 0; display:block; line-height:1.4;}

/* BUTTON */
.wp-block-button{background:var(--color-1); border:2px var(--color-2) solid; padding:3px; transition:.25s ease;}
.wp-block-button:hover{scale:1.02;}
.wp-block-button__link{color:var(--color-2); padding:12px 50px; width:100%; display:block; border:1px var(--color-2) solid; text-decoration:none; font-weight:var(--font-weight-bold); text-transform:uppercase;}

/* Reused background word */
.home-banner .bg-word-container,
.home-cta .bg-word-container{position:absolute; top:0; left:50%; transform:translateX(-50%);}
.bg-word-container p{margin:0; text-transform:uppercase; font-family:var(--heading-font); font-weight:var(--font-weight-bold); opacity:0.8; color:transparent;}
.home-banner .bg-word-container p,
.home-cta .bg-word-container p{font-size:var(--fsize-xxl); letter-spacing: var(--l-spacing-narrow); background:linear-gradient(to bottom, white, transparent);  -webkit-background-clip:text; background-clip:text;}

@media (min-width: 1201px){
	/* 	"FIXED" IS AN ANIMATEABLE CLASS FOR SMOOTH ANIMATION ON MASTHEAD */
	.masthead.fixed{position: fixed; left: 0; width: 100%; z-index: 1000; top: 0;}
	.masthead.fixed:before{content: ''; position: absolute; top: 0%; left: 0%; width: 100%; height: 0; background: var(--color-1); transition: ease .5s; z-index: -1;border:1px solid black; box-shadow:0 0 11px rgba(0,0,0,.5);}
	.masthead.fixed.active:before{height:100%;}

	body.admin-bar .masthead {top: 32px;}
	.mobile-nav{display: none;}

	/* #menu-main-menu{display: flex; margin: 0; flex-wrap: wrap; justify-content: flex-end;gap:1em;} */
	#menu-main-menu > li{position: relative; margin-bottom: 0!important;}
	#menu-main-menu .sub-menu{position: absolute; top: 100%; left: 0; background:black; height: 0; overflow: hidden; z-index: 1000; box-shadow: 0 2px 7px rgba(0,0,0,.4);}
	#menu-main-menu .sub-menu .sub-menu{left: 99%; top: 0;}
	#menu-main-menu > li:hover > .sub-menu, .masthead #menu-main-menu > li > a:focus + .sub-menu, .masthead #menu-main-menu > li:focus-within > .sub-menu{height: auto; padding: 15px 0 15px 15px; min-width: 225px; overflow: initial;border: 1px solid white}
	.sub-menu > li{position: relative; padding-right: 15px;}
	.sub-menu > li:hover > .sub-menu, .sub-menu > li > a:focus + .sub-menu, .sub-menu > li:focus-within > .sub-menu{padding: 15px; width: initial; height: initial; min-width: 225px; border: 1px solid white;}
	#menu-main-menu > li .sub-menu li .sub-menu{left:100%;}
	#menu-main-menu > li:hover .sub-menu li .sub-menu{overflow:scroll; max-height:calc(100vh - 250px);}
	/* #menu-main-menu > li:nth-last-child(-n + 3) .sub-menu{left:unset; right:0;} */
	.masthead .header-content{display:flex; justify-content: space-between; width:100%;}
	#menu-main-menu li:hover > .sub-menu{height:auto;}
}

@media(max-width: 1200px){
	.masthead{position:relative; background:black;}
	.masthead .header-content{display:flex; flex-direction:row; align-items:center; width:100%;}
	.menus{width: 20%; flex:1; order:1; justify-content:end;}
	.header-call-box{align-items:center;}
	.mobile-nav{font-size:36px; transform: scaleX(1.75); color:var(--color-3);}
	.main-nav{position: absolute; top: 100%; width: 100%; left: 0; background: black; box-shadow: 0 5px 10px rgba(0,0,0,.3); padding: 0 25px; height: 0; overflow: hidden; transition: padding .25s; z-index:1000;}
	.masthead ul{flex-direction:column;}
	#mobile-nav-input:checked + * + .main-nav{height: auto; padding: 10px 25px; }
	#menu-main-menu .sub-menu{display: none;}
	#menu-main-menu li a{outline-color: var(--color-1);}
	#menu-main-menu .sub-menu{display: none; transition:ease.3s; padding:0;}
	#menu-main-menu .sub-menu.active{display: block; padding:2px 15px 6px;}
	#menu-main-menu .sub-menu.active li{padding:0;}
	.menu-item-has-children{position:relative;}
	.menu-arrow{content: ''; position: absolute; width:10px; height:10px; border-bottom: 2px solid var(--color-3); border-right: 2px solid var(--color-3); transform: rotate(45deg); top:5px; right:5%;transition:ease .3s;}
	.masthead .sub-menu.active + .menu-arrow{transform:rotate(225deg); top:8px; margin:5px;}
	figure img{height:auto;}
}
@media(max-width: 750px){
	.masthead .header-content{flex-wrap:wrap; justify-content:space-between; row-gap:16px;}
	.header-call-box{order:-1; width:100%; flex:unset;}
	.logo-container{flex:unset;}
	.menus{flex:unset; padding:0 0 7px;}
}
@media(max-width: 450px){
	.show-on-mobile{width:auto; height:auto;}
	.show-on-desktop{width:0; height:0; overflow:hidden;}
	.header-phone-number, .header-call-box p{width:100%; text-align:center;}
	.wp-block-button__link{padding:12px;}
}

/* Forms */
textarea {width:100%;height:150px;}
input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], select, textarea {margin:0; padding:1em;width:100%;border:1px solid;}
input[type=submit], button {border:none;background:var(--color-1);padding:.5em 1em;cursor:pointer;font-size:inherit;}
.gfield_label {margin-top:1em;margin-bottom: .25em;font-weight: 600;display: flex;gap:0.25em;}
.gfield_required {font-size: .85em;color: #c02b0a;display: inline-block;text-transform: uppercase;font-weight: 400;}
.gfield_label_before_complex {display:none}
fieldset {border: none; margin: 0; padding: 0;}
.gchoice {display: flex;gap: 1em;align-items: center;margin:1em 0;cursor:pointer;width:fit-content;}
.gchoice input[type=checkbox] {appearance: none;color: var(--color-1);width: 1.5em; height: 1.5em;border: 2px solid;border-radius: 3px;display: flex;align-items: center;justify-content: center;transition: ease all .25s;cursor:inherit;}
.gchoice input[type=checkbox]::before {content: url("data:image/svg+xml,%3Csvg fill='%23FFF' xmlns='http://www.w3.org/2000/svg' viewBox='25 25 50 50'%3E%3Cpath d='m64 985.393-3.531 3.532-16.719 16.718-4.469-3.937-3.75-3.281-6.593 7.53 3.78 3.282 8 7 3.5 3.094 3.313-3.313 20-20 3.531-3.53L64 985.392z' overflow='visible' transform='translate(0 -952.362)'/%3E%3C/svg%3E");width: 100%;height: 100%;opacity: 0;transition: ease opacity .25s;}
.gchoice input[type=checkbox]:checked {background: var(--color-1);}
.gchoice input[type=checkbox]:checked::before {opacity: 1;}
label {user-select: none;cursor:inherit;}

/* Built In WP Classes */
figure {display:inline-block;margin:0;}
.aligncenter {display:block;margin: 0 auto; width:fit-content;}
.has-text-align-center {text-align:center;}
.has-text-align-right {text-align: right;}
.is-layout-flex{display:flex;}
.is-content-justification-center{justify-content:center;}
.is-content-justification-left{justify-content:flex-start;}
.is-content-justification-right{justify-content:flex-end;}
.are-vertically-aligned-center{align-items:center;}
/* DEFAULT CLASSES FOR ANIMATIONS */
.transition{transition:ease 2s;}
.fade-left{opacity:0; transform:translate(-100%, 0);}
.fade-right{opacity:0; transform:translate(100%, 0);}
.fade-up{opacity:0; transform:translate(0, 100%);}
.fade-down{opacity:0; transform:translate(0, -100%);}
.ghost-in{opacity:0;}
.transition.active{opacity:1; transition:ease 2s;}